<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.execution.recorder.http"
   name="%NAME"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.execution.recorder.http.HttpRecorderPlugin">

   <runtime>
      <library name="http.hexrecl.jar">
         <export name="*"/>
      </library>
      <library name="http.hexrecr.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>            
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.workbench"/>      
      <import plugin="org.eclipse.jface"/>      
      <import plugin="org.eclipse.hyades.execution.remote"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
      <import plugin="org.eclipse.hyades.ui"/>
      <import plugin="org.eclipse.hyades.test.ui"/>
      <import plugin="org.eclipse.hyades.execution.recorder"/>
      <import plugin="org.eclipse.hyades.execution.testgen"/>
      <import plugin="org.eclipse.hyades.test.common"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.jdt.launching"/>      
   </requires>


   <extension
         point="org.eclipse.ui.newWizards">
      <wizard
            name="%RECORDER_NAME"
            icon="icons/obj16/http.gif"
            category="org.eclipse.hyades.test.ui.wizards.new/recording"
            class="org.eclipse.hyades.execution.recorder.http.ui.wizards.HttpRecorderLaunchWizard"
            id="org.eclipse.hyades.execution.recorder.http.ui.wizards.HttpRecorderLaunchWizard">
         <description>
            %HTTP_RECORDER_NEW_WIZARD_DESCRIPTION
         </description>
      </wizard>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%RECORDER_NAME"
            category="org.eclipse.hyades.test.ui.internal.preference.TestPreferencePage"
            class="org.eclipse.hyades.execution.recorder.http.ui.preferences.HttpRecorderPreferencePage"
            id="org.eclipse.hyades.execution.recorder.http.ui.preferences.HttpRecorderPreferencePage">
      </page>
   </extension>
   <extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            label="%RECORDER_NAME"
            description="%ACTION_SET_DESCRIPTION"
            visible="false"
            id="org.eclipse.hyades.execution.recorder.http.actionSet">
         <action
               label="%RECORDER_NAME"
               icon="icons/ctool16/newrecording_wiz.gif"
               tooltip="%HTTP_RECORDER_NEW_WIZARD_DESCRIPTION"
               class="org.eclipse.hyades.execution.recorder.http.ui.actions.NewHttpRecordingAction"
               toolbarPath="Normal/RecorderWizard"
               id="org.eclipse.hyades.execution.recorder.http.action">
         </action>
      </actionSet>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
      <viewContribution
            targetID="org.eclipse.hyades.execution.recorder.ui.views.RecorderControlView"
            id="org.eclipse.hyades.execution.recorder.http.viewContribution1">
         <action
               label="org.eclipse.hyades.execution.recorder.http.action"
               icon="icons/obj16/http.gif"
               tooltip="%HTTP_RECORDER_NEW_WIZARD_TOOLTIP"
               class="org.eclipse.hyades.execution.recorder.http.ui.actions.NewHttpRecordingViewAction"
               toolbarPath="start"
               id="org.eclipse.hyades.execution.recorder.http.action">
         </action>
      </viewContribution>
   </extension>

</plugin>
